MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026648Open CASCADE[OCCT] OCCT:Configurationpublic2015-09-07 06:212016-04-20 15:48
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026648: Configuration - set default path for start of DRAWEXE under Visual Studio debugger
DescriptionCurrently when DRAWEXE is launched directly from Visual Studio, current directory is set by Visual equal to location of project file (e.g. $CASROOT/adm/msvc/vc10/).

Current directory is used by DRAW to search for DrawAppliInit customization file. Normally it is located in $CASROOT, which is current directory when DRAWEXE is launched by draw.bat. It does not get loaded when DRAW is started from Visual with default settings, and local customizations become unavailable.

To improve this, Visual Studio project files generated by genproj (and probably CMake) can be customized to set default current directory for launching DRAW to $CASROOT.
Steps To Reproducestart of DRAWEXE under Visual Studio debugger
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0045110)
git (administrator)
2015-09-07 06:44

Branch CR26648 has been created by abv.

SHA-1: baafe8b298050931003d22ea9ca03f03bc06cd53


Detailed log of new commits:

Author: abv
Date: Mon Sep 7 06:23:16 2015 +0300

    0026648: Configuration - set default path for start of DRAWEXE under Visual Studio debugger
    
    Default path for starting executable from Visual Studio debugger set to be $CASROOT in project files generated by genproj
(0045111)
abv (manager)
2015-09-07 06:45

Ivan, I have set default path for DRAW in genproj generator; please check if the same can be done in CMake generation
(0045572)
git (administrator)
2015-09-14 14:25

Branch CR26648 has been updated by ibs.

SHA-1: 936b96fa80a094e152aec32dd877eac96cf7cf51


Detailed log of new commits:

Author: ibs
Date: Mon Sep 14 14:19:22 2015 +0300

    0026648: Configuration - set default path for start of DRAWEXE under Visual Studio debugger
    
    Default path for starting DRAWEXE executable from Visual Studio debugger set to be CMake binary directory in project files generated by CMake

(0046105)
abv (manager)
2015-09-24 18:35

No remarks, please test
(0046950)
git (administrator)
2015-10-16 16:28

Branch CR26648 has been deleted by kgv.

SHA-1: 936b96fa80a094e152aec32dd877eac96cf7cf51

- Related Changesets
occt: master c50591ee
Timestamp: 2015-10-01 10:22:19
Author: abv
Committer: bugmaster
Details ] Diff ]
0026648: Configuration - set default path for start of DRAWEXE under Visual Studio debugger

Default path for starting executable from Visual Studio debugger set to be $CASROOT in project files generated by genproj

Default path for starting DRAWEXE executable from Visual Studio debugger set to be CMake binary directory in project files generated by CMake
mod - adm/templates/DRAWEXE.vcxproj.user.in Diff ] File ]
mod - adm/templates/vcxproj.user.vc10x Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-09-07 06:21 abv New Issue
2015-09-07 06:21 abv Assigned To => bugmaster
2015-09-07 06:44 git Note Added: 0045110
2015-09-07 06:45 abv Note Added: 0045111
2015-09-07 06:45 abv Assigned To bugmaster => ibs
2015-09-07 06:45 abv Status new => assigned
2015-09-14 14:25 git Note Added: 0045572
2015-09-15 12:30 ibs Assigned To ibs => abv
2015-09-23 12:29 ibs Status assigned => resolved
2015-09-23 12:29 ibs Steps to Reproduce Updated View Revisions
2015-09-24 18:35 abv Note Added: 0046105
2015-09-24 18:35 abv Assigned To abv => bugmaster
2015-09-24 18:35 abv Status resolved => reviewed
2015-10-02 14:56 bugmaster Changeset attached => occt master c50591ee
2015-10-02 14:56 bugmaster Status reviewed => verified
2015-10-02 14:56 bugmaster Resolution open => fixed
2015-10-16 16:28 git Note Added: 0046950
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker